/*
 * Licensed Materials - Property of IBM
 *
 * Copyright IBM Corporation 2008. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA DP Schedule Contract with IBM Corp.
 */
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%-- jsf:pagecode language="EGL" location="/EGLSource/jsfhandlers/Login.egl" --%><%-- /jsf:pagecode --%>
<%@page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@taglib uri="http://www.ibm.com/jsf/html_extended" prefix="hx"%>
<html>
<head>
<title>Login</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<meta name="GENERATOR" content="Eclipse Platform">
<link rel="stylesheet" type="text/css" href="theme/stylesheet.css"
	title="Style">
</head>
<f:view>
	<body>
	<H1> J2EE Form Based Security Login Page </H1>
	<hx:scriptCollector id="scriptCollector1"
		preRender="#{Login._preRender}" postRender="#{Login._postRender}">
			<form id="form1">
			<TABLE>
				<TBODY>
					<tr>
						<td align="left">UserId:</td>
						<td style="width:5px">&nbsp;</td>
						<td><h:inputText id="j_username" value="#{Login.userId}"
							binding="#{Login.userId_Ref}" styleClass="inputText">
						</h:inputText><h:message for="j_username"></h:message></td>
					</tr>
					<tr>
						<td align="left">Password:</td>
						<td style="width:5px">&nbsp;</td>
						<td><h:inputSecret id="j_password"
							value="#{Login.password}" binding="#{Login.password_Ref}"
							styleClass="inputSecret">
						</h:inputSecret><h:message for="j_password"></h:message></td>
					</tr>

				</TBODY>
			</TABLE>
			<h:messages styleClass="messages" id="messages1" globalOnly="true"></h:messages>
			<TABLE>
				<TBODY>
					<tr>
						<td align="left"></td>
						<td style="width:5px">&nbsp;</td>
						<td><hx:commandExButton id="buttonProcess1"
							styleClass="commandExButton" type="submit" value="doit"
							actionListener="#{Login._commandActionListener}" 
							action="#{Login.doit}"></hx:commandExButton>
						</td>
					</tr>
				</TBODY>
			</TABLE>
		</form>
	</hx:scriptCollector>
	</body>
</f:view>
</html>
