/*
 * Licensed Materials - Property of IBM
 *
 * Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA DP Schedule Contract with IBM Corp.
 */

egl.defineClass(  "egl.core", "HttpResponse", "egl.jsrt", "Record", {
	"constructor" : function( )
	{
		this.eze$$XMLRootElementName = "HttpResponse";
		this.eze$$setInitial();
	}
	,
	"eze$$setEmpty": function() {
		
		this.headers;
		this.status = 0;
		this.statusMessage = "";
		this.body = null;
	}
	,
	"eze$$setInitial": function() {
		this.eze$$setEmpty();
	}
	,
	"eze$$clone": function() {
		var ezert$$1 = this;
		var ezert$$2 = new egl.egl.core.HttpResponse();
		ezert$$2.eze$$isNull = this.eze$$isNull;
		ezert$$2.eze$$isNullable = this.eze$$isNullable;
		ezert$$2.headers = ezert$$1.headers;
		ezert$$2.status = ezert$$1.status;
		ezert$$2.statusMessage = ezert$$1.statusMessage;
		ezert$$2.body = ezert$$1.body;
		ezert$$2.setNull(ezert$$1.eze$$isNull);
		return ezert$$2;
	}
	,
	"eze$$getName": function() {
		return "egl.core.HttpResponse";
	}
	,
	"eze$$getChildVariables": function() {
		return [
		{name: "headers", value : this.headers, type : "Dictionary"},
		{name: "status", value : this.status, type : "int"},
		{name: "statusMessage", value : this.statusMessage, type : "string"},
		{name: "body", value : this.body, type : "string?"}
		];
	}
	,
	"eze$$getFieldSignatures": function() {
		return [
		{name: "headers", value : this.headers, type : "y;"},
		{name: "status", value : this.status, type : "I;"},
		{name: "statusMessage", value : this.statusMessage, type : "S;"},
		{name: "body", value : this.body, type : "?S;"}
		];
	}
	,
	"eze$$fromJson": function( object, ordered ) {
		if (object == null) {
			return;
		}
		this.eze$$setEmpty();
		this.setNull(false);
		if (ordered) {
			var objArray = [];
			for (f in object) {
				objArray.push(object[f]);
			}
			this.headers = egl.createDictionary(false, false);
			this.headers.eze$$fromJson( objArray[0]);
			this.status = egl.convertFloatToInt( objArray[1] );
			this.statusMessage = objArray[2];
			this.body = objArray[3];
		}
		else {
			egl.egl.core.$ServiceLib.throwExceptionIfNecessary( object["headers"], "this.headers", true );
			this.headers = egl.createDictionary(false, false);
			this.headers.eze$$fromJson( object["headers"]);
			egl.egl.core.$ServiceLib.throwExceptionIfNecessary( object["status"], "this.status", false );
			this.status = egl.convertFloatToInt( object["status"] );
			egl.egl.core.$ServiceLib.throwExceptionIfNecessary( object["statusMessage"], "this.statusMessage", false );
			this.statusMessage = object["statusMessage"];
			egl.egl.core.$ServiceLib.throwExceptionIfNecessary( object["body"], "this.body", true );
			this.body = object["body"];
		}
	}
	,
	"eze$$fromXML": function( element, xmlName ) {
		var node, nodelist;
		this.eze$$setEmpty();
		if (xmlName == null) {
			xmlName = this.eze$$XMLRootElementName;
		}
		this.headers = egl.egl.core.$XMLLib.setSimpleElementField( element,  "headers" ) ;
		this.status = egl.egl.core.$XMLLib.setSimpleElementField( element,  "status" ) ;
		this.statusMessage = egl.egl.core.$XMLLib.setSimpleElementField( element,  "statusMessage" ) ;
		this.body = egl.egl.core.$XMLLib.setSimpleElementField( element,  "body" ) ;
	}
	,
	"eze$$toXML": function( xmlName ) {
		if (xmlName == null) {
			xmlName = this.eze$$XMLRootElementName;
		}
		var s = ["<" + xmlName];
		s.push(">");
		s.push(egl.egl.core.$XMLLib.writeElement( this.headers, "headers"));
		s.push(egl.egl.core.$XMLLib.writeElement( this.status, "status"));
		s.push(egl.egl.core.$XMLLib.writeElement( this.statusMessage, "statusMessage"));
		s.push(egl.egl.core.$XMLLib.writeElement( this.body, "body"));
		s.push("</" + xmlName + ">");
		return s.join('');
	}
});
