/*
 * Licensed Materials - Property of IBM
 *
 * Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA DP Schedule Contract with IBM Corp.
 */
egl.defineClass( 'egl.ui.rui', 'Event', {
	"constructor" : function()
	{
		this.x = 0;
		this.y = 0;
		this.screenX = 0;
		this.screenY = 0;
		this.clientX = 0;
		this.clientY = 0;
		this.ch = 0;
		this.widget = null;
		this.mouseButton = 0;
		this.altKey = false;
		this.ctrlKey = false;
		this.metaKey = false;
		this.shiftKey = false;
	},

	"getX" : function() { return this.x; },						
	"setX" : function( newX ) { this.x = newX; },						
	
	"getY" : function() { return this.y; },						
	"setY" : function( newY ) { this.y = newY; },						
	
	"stopPropagation" : function() {},
	"preventDefault" : function() {}
});
