/*
 * Licensed Materials - Property of IBM
 *
 * Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA DP Schedule Contract with IBM Corp.
 */
egl.defineClass(  "egl.core", "HttpRequest", "egl.jsrt", "Record", {
	"constructor" : function( )
	{
		this.eze$$XMLRootElementName = "HttpRequest";
		this.eze$$setInitial();
	}
	,
	"eze$$setEmpty": function() {
		
		this.uri = "";
		this.headers;
		this.queryParameters;
		this.method = "";
		this.body = null;
	}
	,
	"eze$$setInitial": function() {
		this.eze$$setEmpty();
	}
	,
	"eze$$clone": function() {
		var ezert$$1 = this;
		var ezert$$2 = new egl.egl.core.HttpRequest();
		ezert$$2.eze$$isNull = this.eze$$isNull;
		ezert$$2.eze$$isNullable = this.eze$$isNullable;
		ezert$$2.uri = ezert$$1.uri;
		ezert$$2.headers = ezert$$1.headers;
		ezert$$2.queryParameters = ezert$$1.queryParameters;
		ezert$$2.method = ezert$$1.method;
		ezert$$2.body = ezert$$1.body;
		ezert$$2.setNull(ezert$$1.eze$$isNull);
		return ezert$$2;
	}
	,
	"eze$$getName": function() {
		return "egl.core.HttpRequest";
	}
	,
	"eze$$getChildVariables": function() {
		return [
		{name: "uri", value : this.uri, type : "string"},
		{name: "headers", value : this.headers, type : "Dictionary"},
		{name: "queryParameters", value : this.queryParameters, type : "Dictionary"},
		{name: "method", value : this.method, type : "string"},
		{name: "body", value : this.body, type : "string?"}
		];
	}
	,
	"eze$$getFieldSignatures": function() {
		return [
		{name: "uri", value : this.uri, type : "S;"},
		{name: "headers", value : this.headers, type : "y;"},
		{name: "queryParameters", value : this.queryParameters, type : "y;"},
		{name: "method", value : this.method, type : "S;"},
		{name: "body", value : this.body, type : "?S;"}
		];
	}
	,
	"eze$$fromJson": function( object, ordered ) {
		if (object == null) {
			return;
		}
		this.eze$$setEmpty();
		this.setNull(false);
		if (ordered) {
			var objArray = [];
			for (f in object) {
				objArray.push(object[f]);
			}
			this.uri = objArray[0];
			this.headers = egl.createDictionary(false, false);
			this.headers.eze$$fromJson( objArray[1]);
			this.queryParameters = egl.createDictionary(false, false);
			this.queryParameters.eze$$fromJson( objArray[2]);
			this.method = objArray[3];
			this.body = objArray[4];
		}
		else {
			egl.egl.core.$ServiceLib.throwExceptionIfNecessary( object["uri"], "this.uri", false );
			this.uri = object["uri"];
			egl.egl.core.$ServiceLib.throwExceptionIfNecessary( object["headers"], "this.headers", true );
			this.headers = egl.createDictionary(false, false);
			this.headers.eze$$fromJson( object["headers"]);
			egl.egl.core.$ServiceLib.throwExceptionIfNecessary( object["queryParameters"], "this.queryParameters", true );
			this.queryParameters = egl.createDictionary(false, false);
			this.queryParameters.eze$$fromJson( object["queryParameters"]);
			egl.egl.core.$ServiceLib.throwExceptionIfNecessary( object["method"], "this.method", false );
			this.method = object["method"];
			egl.egl.core.$ServiceLib.throwExceptionIfNecessary( object["body"], "this.body", true );
			this.body = object["body"];
		}
	}
	,
	"eze$$fromXML": function( element, xmlName ) {
		var node, nodelist;
		this.eze$$setEmpty();
		if (xmlName == null) {
			xmlName = this.eze$$XMLRootElementName;
		}
		this.uri = egl.egl.core.$XMLLib.setSimpleElementField( element,  "uri" ) ;
		this.headers = egl.egl.core.$XMLLib.setSimpleElementField( element,  "headers" ) ;
		this.queryParameters = egl.egl.core.$XMLLib.setSimpleElementField( element,  "queryParameters" ) ;
		this.method = egl.egl.core.$XMLLib.setSimpleElementField( element,  "method" ) ;
		this.body = egl.egl.core.$XMLLib.setSimpleElementField( element,  "body" ) ;
	}
	,
	"eze$$toXML": function( xmlName ) {
		if (xmlName == null) {
			xmlName = this.eze$$XMLRootElementName;
		}
		var s = ["<" + xmlName];
		s.push(">");
		s.push(egl.egl.core.$XMLLib.writeElement( this.uri, "uri"));
		s.push(egl.egl.core.$XMLLib.writeElement( this.headers, "headers"));
		s.push(egl.egl.core.$XMLLib.writeElement( this.queryParameters, "queryParameters"));
		s.push(egl.egl.core.$XMLLib.writeElement( this.method, "method"));
		s.push(egl.egl.core.$XMLLib.writeElement( this.body, "body"));
		s.push("</" + xmlName + ">");
		return s.join('');
	}
});
 
