/*
 * Licensed Materials - Property of IBM
 *
 * Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA DP Schedule Contract with IBM Corp.
 */
egl.defineClass(
	'egl.ui.rui', 'View',
	{
	"constructor" : function() {
		this.properties = null;
		if (egl.Document == null)
			egl.Document = new egl.egl.ui.rui.Document();
		this.document = egl.Document;
	},
	"setLogicalParent" : function(container){
		if (this.initialUI) {
			for (var n= 0; n< this.initialUI.length; n++) {
				var child = egl.unboxAny(this.initialUI[n]);
				child.setLogicalParent(parent);
			}
		}
	},
	"setParent" : function(parent) {
		if (parent == egl.Document)
			parent = parent.body;
		if (this.initialUI) {
			for (var n= 0; n< this.initialUI.length; n++) {
				var child = egl.unboxAny(this.initialUI[n]);
				if (!child) {
					throw egl.createRuntimeException( "CRRUI0001E", [n+1]);
				}
				else {
					if (child.eze$$DOMElement)
						parent.appendChild(child);
					else
						child.setParent(parent);
				}
			}
		}
	}
});
